classification
Title: Update examples to use async and await keywords in asyncio-task.rst
Type: enhancement Stage: resolved
Components: asyncio, Documentation Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: berker.peksag, docs@python, gvanrossum, marco.buttu, python-dev, yselivanov
Priority: normal Keywords: patch

Created on 2017-02-04 05:49 by berker.peksag, last changed 2017-02-07 09:00 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
update-examples-task.diff berker.peksag, 2017-02-04 05:49 review
Messages (8)
msg286911 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-02-04 05:49
Attached patch converts all examples that use @coroutine decorator in Doc/library/asyncio-task.rst. I also removed the generator example at https://docs.python.org/3/library/asyncio-task.html#example-coroutine-displaying-the-current-date

See issue 29407 for context.
msg287038 - (view) Author: Marco Buttu (marco.buttu) * Date: 2017-02-05 05:59
The patch is OK to me. I also executed the examples, and everything works fine :-)
msg287160 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2017-02-06 18:03
LGTM. Thanks!
msg287205 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2017-02-07 08:22
New changeset 514571268743 by Berker Peksag in branch '3.5':
Issue #29441: Update examples to use async and await keywords in asyncio-task.rst
https://hg.python.org/cpython/rev/514571268743

New changeset 975e03b0aea6 by Berker Peksag in branch '3.6':
Issue #29441: Merge from 3.5
https://hg.python.org/cpython/rev/975e03b0aea6

New changeset ee074604bf0c by Berker Peksag in branch 'default':
Issue #29441: Merge from 3.6
https://hg.python.org/cpython/rev/ee074604bf0c
msg287206 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-02-07 08:23
Thanks for the reviews!
msg287211 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2017-02-07 09:00
New changeset dbfbdf9dce7889699e1eb7cc4644a911b16665ec by Berker Peksag in branch '3.6':
Issue #29441: Update examples to use async and await keywords in asyncio-task.rst
https://github.com/python/cpython/commit/dbfbdf9dce7889699e1eb7cc4644a911b16665ec

New changeset f76fb14796715fc5abb5a2b68428b29063c3d48e by Berker Peksag in branch '3.6':
Issue #29441: Merge from 3.5
https://github.com/python/cpython/commit/f76fb14796715fc5abb5a2b68428b29063c3d48e
msg287212 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2017-02-07 09:00
New changeset dbfbdf9dce7889699e1eb7cc4644a911b16665ec by Berker Peksag in branch '3.5':
Issue #29441: Update examples to use async and await keywords in asyncio-task.rst
https://github.com/python/cpython/commit/dbfbdf9dce7889699e1eb7cc4644a911b16665ec
msg287213 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2017-02-07 09:00
New changeset dbfbdf9dce7889699e1eb7cc4644a911b16665ec by Berker Peksag in branch 'master':
Issue #29441: Update examples to use async and await keywords in asyncio-task.rst
https://github.com/python/cpython/commit/dbfbdf9dce7889699e1eb7cc4644a911b16665ec

New changeset f76fb14796715fc5abb5a2b68428b29063c3d48e by Berker Peksag in branch 'master':
Issue #29441: Merge from 3.5
https://github.com/python/cpython/commit/f76fb14796715fc5abb5a2b68428b29063c3d48e

New changeset 38c1fd9055ad58738643325a2c7682d76496f9ed by Berker Peksag in branch 'master':
Issue #29441: Merge from 3.6
https://github.com/python/cpython/commit/38c1fd9055ad58738643325a2c7682d76496f9ed
History
Date User Action Args
2017-02-07 09:00:28python-devsetmessages: + msg287213
2017-02-07 09:00:26python-devsetmessages: + msg287212
2017-02-07 09:00:24python-devsetmessages: + msg287211
2017-02-07 08:23:53berker.peksagsetstatus: open -> closed
resolution: fixed
messages: + msg287206

stage: patch review -> resolved
2017-02-07 08:22:57python-devsetnosy: + python-dev
messages: + msg287205
2017-02-06 18:03:38gvanrossumsetmessages: + msg287160
2017-02-05 05:59:16marco.buttusetnosy: + marco.buttu
messages: + msg287038
2017-02-04 05:49:52berker.peksagcreate